package com.yaohun.aurechargedata;

import com.yaohun.aurechargedata.api.RechargeAPI;
import com.yaohun.aurechargedata.manage.ConsumeManage;
import com.yaohun.aurechargedata.manage.RechargeManage;
import com.yaohun.aurechargedata.util.TimeType;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static RechargeManage rechargeManage;
    public static ConsumeManage consumeManage;
    @Override
    public void onEnable() {
        plugin = this;
        saveDefaultConfig();
        rechargeManage = new RechargeManage();
        consumeManage = new ConsumeManage();
    }

    @Override
    public void onDisable() {
        rechargeManage.SaveData();
        consumeManage.SaveData();
    }
}
